app_calon/urls.py
from django.conf.urls import url
from .views import index, daftar, insertDaftar, daftar
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^pendafaran/$', daftar, name='pendafaran'),
    url(r'^insert', insertDaftar, name='insertDaftar'),
    url(r'^daftar', daftar, name='daftar')
]

app_skema_beasiswa/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_form_paket/$', add_form_paket, name='add_form_paket'),
    url(r'^add_paket/$', add_paket, name='add_paket'),
    url(r'^add_skemabeasiswa', add_skemabeasiswa, name='add_skemabeasiswa'),
    url(r'^add_paketbeasiswa', add_paketbeasiswa, name='add_paketbeasiswa'),
]

simbion20/urls.py
from django.conf.urls import url
from django.conf.urls import include
from django.contrib import admin
from django.conf.urls import include
import app_calon.urls as app_calon
import app_skema_beasiswa.urls as app_skema_beasiswa
import app_info_beasiswa.urls as app_info_beasiswa
import app_seleksi.urls as app_seleksi
import app_login.urls as app_login
import app_detail.urls as app_detail
import app_register.urls as app_register
from django.views.generic import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^app-calon/', include(app_calon,namespace='app-calon')),
    url(r'^app-seleksi/', include(app_seleksi,namespace='app-seleksi')),
    url(r'^app-skema-beasiswa/', include(app_skema_beasiswa,namespace='app-skema-beasiswa')),
    url(r'^app-info-beasiswa/', include(app_info_beasiswa,namespace='app-info-beasiswa')),
    url(r'^app-login/', include(app_login,namespace='app-login')),
    url(r'^app-detail/', include(app_detail,namespace='app-detail')),
    url(r'^app-register/', include(app_register,namespace='app-register')),
    url(r'^$', RedirectView.as_view(url='/app-info-beasiswa/', permanent=True), name='redirect_landing_page'),
]

app_skema_beasiswa/models.py
from django.db import models

# Create your models here.

app_skema_beasiswa/forms.py
from django import forms
from app_info_beasiswa.models import *

class MyModelChoiceField(forms.ModelChoiceField):
    def label_from_instance(self, obj):
        text = str(obj.kode)
        return text

class DaftarPaket(forms.Form):
    error_messages = {
        'required': 'Please input',
    }

    no_urut = {
        'type':'text',
        'class': 'form-control',
        'placeholder': 'Enter no urut'
    }

    tgl_mulai_daftar = {
        'type':'date',
        'class': 'form-control',
        'placeholder': 'yyyy-mm-dd'
    }

    tgl_tutup_daftar = {
        'type':'date',
        'class': 'form-control',
        'placeholder': 'yyyy-mm-dd'
    }   

    kode_skema_beasiswa = MyModelChoiceField(queryset=SkemaBeasiswa.objects.order_by('kode')
        ,empty_label="Select Kode Skema Beasiswa", label='Kode Skema', required=True, widget=forms.Select(attrs={'class':'form-control'}))
    no_urut = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=no_urut))
    tgl_mulai_daftar = forms.DateTimeField(label='', required=True, widget=forms.DateInput(tgl_mulai_daftar))
    tgl_tutup_daftar = forms.DateTimeField(label='', required=True, widget=forms.DateInput(tgl_tutup_daftar))

class Todo_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    kode_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan kode...'
    }
    namabeasiswa_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan nama beasiswa...'
    }
    jenisbeasiswa_choices = [
        ('beasiswa prestasi akademik', 'Beasiswa Prestasi Akademik'),
        ('beasiswa bantuan belajar', 'Beasiswa Bantuan Belajar'),
        ('beasiswa tugas akhir', 'Beasiswa Tugas Akhir'),
        ]
    deskripsi_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan deskripsi...'
    }
    syaratbeasiswa_attrs = {
        'type': 'text',
        'class': 'form-control',
        'placeholder':'Masukan syarat beasiswa...'
    }

    kode = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=kode_attrs))
    namabeasiswa = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=namabeasiswa_attrs))
    jenisbeasiswa = forms.CharField(label='', required=True, widget=forms.Select(choices = jenisbeasiswa_choices))
    deskripsi = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=deskripsi_attrs))
    syaratbeasiswa = forms.CharField(label='', required=True, widget=forms.TextInput(attrs=syaratbeasiswa_attrs))

app_skema_beasiswa/views.py
from django.shortcuts import render
from django.http import HttpResponse, HttpResponseRedirect, JsonResponse
from django.views.decorators.csrf import csrf_exempt
from django.db import connection
from app_info_beasiswa.models import SkemaBeasiswa, SkemaBeasiswaAktif, SyaratBeasiswa
from .forms import *
import datetime


# Create your views here.
response = {}
def index(request):
	response['skema_beasiswa'] = SkemaBeasiswa.objects.raw('SELECT * FROM skema_beasiswa')
	html = 'app_skema_beasiswa.html'
	return render(request, html, response)

def add_form_paket(request):
	response['todo_form'] = Todo_Form
	html = 'app_form_paket.html'
	return render(request, html, response)

def add_paket(request):
	html = 'app_tambah_paket.html'
	response['daftar_paket'] = DaftarPaket
	return render(request, html, response)

@csrf_exempt
def add_skemabeasiswa(request):
	form = Todo_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		cursor = connection.cursor()
		kode = request.POST['kode']
		namabeasiswa = request.POST['namabeasiswa']
		jenisbeasiswa = request.POST['jenisbeasiswa']
		deskripsi = request.POST['deskripsi']
		syaratbeasiswa = request.POST['syaratbeasiswa']
		no_identitas = 2;

		query_insert = "INSERT INTO skema_beasiswa (kode,nama,jenis,deskripsi,nomor_identitas_donatur) VALUES (%d, '%s', '%s', '%s', %d)" %\
		(int(kode), namabeasiswa, jenisbeasiswa, deskripsi, int(no_identitas))
		cursor.execute(query_insert)
		query_insert_lagi = "INSERT INTO syarat_beasiswa (kode_beasiswa,syarat) VALUES (%d, '%s')" %\
		(int(kode), syaratbeasiswa)
		cursor.execute(query_insert_lagi)
		cursor.close()

		'''todo = SkemaBeasiswa(kode=kode,nama=namabeasiswa,jenis=jenisbeasiswa,deskripsi=deskripsi,nomor_identitas_donatur='1')
		todo.save()
		messages.success(request, "New Skema Beasiswa!")'''
		return HttpResponseRedirect('/app-skema-beasiswa/')
	else:
		return HttpResponseRedirect('/app-skema-beasiswa/')

@csrf_exempt
def add_paketbeasiswa(request):
	form = DaftarPaket(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		cursor = connection.cursor()
		kode_skema_beasiswa = request.POST['kode_skema_beasiswa']
		no_urut = request.POST['no_urut']
		tgl_mulai_daftar = request.POST['tgl_mulai_daftar']
		tgl_tutup_daftar = request.POST['tgl_tutup_daftar']

		now = datetime.datetime.now()
		waktu_skrg = now.strftime("%Y-%m-%d")
		print(waktu_skrg)

		status = "ditutup"

		if tgl_tutup_daftar > waktu_skrg:
			status="dibuka"
		query_insert = "INSERT INTO skema_beasiswa_aktif (kode_skema_beasiswa,no_urut,tgl_mulai_pendaftaran,tgl_tutup_pendaftaran,periode_penerimaan,status,jumlah_pendaftar) VALUES (%d, %d, '%s', '%s', 'April - Juni 2018', '%s', 0)" %\
		(int(kode_skema_beasiswa), int(no_urut), tgl_mulai_daftar, tgl_tutup_daftar, status)
		cursor.execute(query_insert)
		cursor.close()

		return HttpResponseRedirect('/app-skema-beasiswa/')
	else:
		return HttpResponseRedirect('/app-skema-beasiswa/')

app_skema_beasiswa/templates/app_form_paket.html
{% load staticfiles %}
{% load static %}

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link rel="stylesheet" href="https://v40.pingendo.com/assets/4.0.0/default/theme.css" type="text/css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="{%static 'css/form_beasiswa.css' %}" type="text/css">
  <title>
    {% block title %} SKEMA BEASISWA AKTIF {{author}} {% endblock %}
  </title>
</head>
<header>
    {% include "app_skema_beasiswa/partials/header.html" %}
  </header>
<div class="container some-margin">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <div class="col-sm-8 col-centered padding-top-0">
          <div class="top-header">
            <div class="overlay margin-top-0"></div>
            <div class="centered-thing text-center">
              <h4 style="color: white"><i>Paket Beasiswa Baru</i></h4>
            </div>
          </div>
         <div class="content-form">
            <div class="isi-form">
              <form method="POST" action="{% url 'app-skema-beasiswa:add_skemabeasiswa' %}">
              <div class="row">
                <div class="col-sm-8 col-centered">
                  <div class="form-group">
                    <label>Kode</label>
                    <br> {{todo_form.kode}}</br>
                  </div>
                  <div class="form-group">
                    <label>Nama Paket Beasiswa</label>
                    <br> {{todo_form.namabeasiswa}}</br>
                  </div>
                  <div class="form-group">
                    <label>Jenis Paket Beasiswa</label>
                    <br> {{todo_form.jenisbeasiswa}}</br>
                  </div>
                  <div class="form-group">
                    <label>Deskripsi</label>
                    <br> {{todo_form.deskripsi}}</br>
                  </div>
                  <div class="form-group">
                    <label>Syarat Beasiswa</label>
                    <br> {{todo_form.syaratbeasiswa}}</br>
                  </div>
                  <input id="submit" type="submit" style="float: right;" class="btn btn-primary ml-3">
                 </input>
                </div>
              </div>
            </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "app_skema_beasiswa/partials/footer.html" %}
        {% endblock %}
  </footer>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

app_skema_beasiswa/templates/app_skema_beasiswa.html
{% extends "app_skema_beasiswa/layout/base.html" %}
{% block content %}
<!-- <section name="postFeed" id="postFeed">
    <div class="container" id="appskema">
    </div>
</section> -->

  <div class="py-5 text-center bg-dark w-100 h-100" style="background-image: url('https://vchipedu.com/images/header.jpg')">
    <div class="container py-5">
      <div class="row">
        <div class="col-md-12">
          <h1 class="display-3 mb-4 text-primary">Mendaftarkan Skema Beasiswa</h1>
          <p class="m-0 p-4"></p>
          <a href="add_form_paket/" class="btn btn-lg mx-1 btn-secondary">Paket Beasiswa Baru</a>
          <a href="add_paket/" class="btn btn-lg btn-primary mx-1">Tambah Beasiswa Baru dari Paket</a>
          <a href="{% url 'app-seleksi:index' %}" class="btn btn-lg btn-light mx-1 text-primary" >Lihat Beasiswa</a>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

app_skema_beasiswa/templates/app_tambah_paket.html
{% load staticfiles %}
{% load static %}

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link rel="stylesheet" href="https://v40.pingendo.com/assets/4.0.0/default/theme.css" type="text/css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="{%static 'css/form_beasiswa.css' %}" type="text/css">
  <title>
    {% block title %} SKEMA BEASISWA AKTIF {{author}} {% endblock %}
  </title>
</head>
<header>
    {% include "app_skema_beasiswa/partials/header.html" %}
  </header>
<div class="container some-margin">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <div class="col-sm-8 col-centered padding-top-0">
          <div class="top-header">
            <div class="overlay margin-top-0"></div>
            <div class="centered-thing text-center">
              <h4 style="color: white"><i>Form Pendaftaran Tambah Beasiswa Dari Paket</i></h4>
            </div>
          </div>
           <div class="content-form">
            <div class="isi-form">
              <form method="POST" action="{% url 'app-skema-beasiswa:add_paketbeasiswa' %}">
              <div class="row">
                <div class="col-sm-8 col-centered">
                  <div class="form-group">
                    <label>Kode</label>
                    <br> {{daftar_paket.kode_skema_beasiswa}}</br>
                  </div>
                  <div class="form-group">
                    <label>No Urut</label>
                    <br> {{daftar_paket.no_urut}}</br>
                  </div>
                  <div class="form-group">
                    <label>Tanggal Mulai Pendafataran</label>
                    <br> {{daftar_paket.tgl_mulai_daftar}}</br>
                  </div>
                  <div class="form-group">
                    <label>Tanggal Tutup Pendaftaran</label>
                    <br> {{daftar_paket.tgl_tutup_daftar}}</br>
                  </div>
              

              <!--<div class="form-group">
                <label for="month_start">
                <label>Month</label>
              </label>
              <select id="month_start" name="month_start">
                <option value="January">January</option>
                <option value="February">February</option>
                <option value="March">March</option>
                <option value="April">April</option>
                <option value="May">May</option>
                <option value="June">June</option>
                <option value="July">July</option>
                <option value="August">August</option>
                <option value="September">September</option>
                <option value="October">October</option>
                <option value="November">November</option>
                <option value="December">December</option>
              </select> -
              <label for="day_start">
                <p>Day</p>
              </label>
              <select id="day_start" name="day_start">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
                <option value="31">31</option>
              </select> -
              <label for="year_start">
                <label>Year</label>
              </label>
              <select id="year_start" name="year_start">
                <option value="2009">2009</option>
                <option value="2010">2010</option>
                <option value="2011">2011</option>
                <option value="2012">2012</option>
                <option value="2013">2013</option>
                <option value="2014">2014</option>
                <option value="2015">2015</option>
                <option value="2016">2016</option>
                <option value="2017">2017</option>
                <option value="2018">2018</option>
              </select>
              </div>
            </fieldset>
              <fieldset class="date">
              <p>Tanggal Tutup Pendaftaran</p>
              <div class="form-group">
                <label for="month_start">
                <label>Month</label>
              </label>
              <select id="month_start" name="month_start">
                <option value="January">January</option>
                <option value="February">February</option>
                <option value="March">March</option>
                <option value="April">April</option>
                <option value="May">May</option>
                <option value="June">June</option>
                <option value="July">July</option>
                <option value="August">August</option>
                <option value="September">September</option>
                <option value="October">October</option>
                <option value="November">November</option>
                <option value="December">December</option>
              </select> -
              <label for="day_start">
                <p>Day</p>
              </label>
              <select id="day_start" name="day_start">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
                <option value="31">31</option>
              </select> -
              <label for="year_start">
                <p>Year</p>
              </label>
              <select id="year_start" name="year_start">
                <option value="2009">2009</option>
                <option value="2010">2010</option>
                <option value="2011">2011</option>
                <option value="2012">2012</option>
                <option value="2013">2013</option>
                <option value="2014">2014</option>
                <option value="2015">2015</option>
                <option value="2016">2016</option>
                <option value="2017">2017</option>
                <option value="2018">2018</option>
              </select>
              </div>
            </fieldset>-->
            <button type="submit" style="float: right;" class="btn btn-primary ml-3">
                    <b>Submit</b>
            </button>
          </form>
        </div>
      </div>
    </div>
  </div>
                </div>
              </div>
            </form>
            </div>
          </div>
        </div>
      </div>
      
    </div>
  </div>
</div>
<footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "app_skema_beasiswa/partials/footer.html" %}
        {% endblock %}
  </footer>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>